package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanHmLinkChat
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 22:36:24
 * @Modify
 * @CopyRight 
 */
public class HmLinkChatVO implements Serializable {

    private static final long serialVersionUID = 45285331843100L;

    private Long linkChatId;
    /**人群*/
    private String filterJson;
    /**群活码ID*/
    private Long chatHmId;
    /**会员类型（0：会员筛选，1：会员分组）*/
    private Integer memberType;
    /**排序值*/
    private Integer sortNum;
    private Long linkId;
    private String linkCode;
    private String shortCode;

    public String getShortCode() {
        return shortCode;
    }

    public void setShortCode(String shortCode) {
        this.shortCode = shortCode;
    }

    public String getLinkCode() {
        return linkCode;
    }

    public void setLinkCode(String linkCode) {
        this.linkCode = linkCode;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public void setLinkChatId(Long linkChatId) {
        this.linkChatId = linkChatId;
    }

    public Long getLinkChatId() {
        return linkChatId;
    }

    public void setFilterJson(String filterJson) {
        this.filterJson = filterJson;
    }

    public String getFilterJson() {
        return filterJson;
    }

    public void setChatHmId(Long chatHmId) {
        this.chatHmId = chatHmId;
    }

    public Long getChatHmId() {
        return chatHmId;
    }

    public void setMemberType(Integer memberType) {
        this.memberType = memberType;
    }

    public Integer getMemberType() {
        return memberType;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    public Integer getSortNum() {
        return sortNum;
    }
}